%define name	glchess
%define version	0.3.5
%define release	2mdk

Summary:	GlChess, a 3d Chess game using OpenGL
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Games/Boards
Requires:	gnuchess

Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-xpm.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	Mesa-common-devel XFree86-devel libgtkglarea5-devel >= 1.2.2 libgtk+1.2-devel

%description
A very nice Chess game using OpenGL.

%prep
%setup -q

%build
make CFLAGS="$RPM_OPT_FLAGS `gtk-config --cflags`" INSTALLDIR=%{_gamesbindir} MANDIR=%{_mandir}/man6 SHAREDIR=%{_gamesdatadir}/glchess

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}
perl -pe 's|/usr/.*/glchess/|%{_gamesdatadir}/glchess/|' < glchessrc >$RPM_BUILD_ROOT%{_sysconfdir}/glchessrc
mkdir -p $RPM_BUILD_ROOT%{_gamesbindir}
cp glchess $RPM_BUILD_ROOT%{_gamesbindir}
mkdir -p $RPM_BUILD_ROOT%{_gamesdatadir}/glchess
cp -pr textures $RPM_BUILD_ROOT%{_gamesdatadir}/glchess
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man6
cp -p man/*.6 $RPM_BUILD_ROOT%{_mandir}/man6

mkdir -p $RPM_BUILD_ROOT%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT%{_liconsdir}
bzip2 -dc %{SOURCE1} | tar xvf -
install -m0644 glchess-16.xpm $RPM_BUILD_ROOT%{_miconsdir}/glchess.xpm
install -m0644 glchess-32.xpm $RPM_BUILD_ROOT%{_iconsdir}/glchess.xpm
install -m0644 glchess-48.xpm $RPM_BUILD_ROOT%{_liconsdir}/glchess.xpm

mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat <<EOF >$RPM_BUILD_ROOT%{_menudir}/glchess
?package(%{name}):command="%{_gamesbindir}/glchess" \
		  icon="glchess.xpm" \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="GlChess" \
		  longtitle="3d Chess game"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc COPYING README AUTHORS BUGS ChangeLog NEWS TODO
%config(noreplace) %{_sysconfdir}/*
%{_gamesbindir}/*
%{_gamesdatadir}/glchess
%{_mandir}/man6/*
%{_miconsdir}/glchess.xpm
%{_iconsdir}/glchess.xpm
%{_liconsdir}/glchess.xpm
%{_menudir}/glchess

%changelog
* Thu Sep 06 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-2mdk
- added requires on gnuchess (fpitoun).

* Wed Sep 05 2001 Franois Pons <fpons@mandrakesoft.com> 0.3.5-1mdk
- initial release.
